summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorJohn Wiegley <johnw@newartisans.com>2007-05-11 07:24:13 +0000
committerJohn Wiegley <johnw@newartisans.com>2008-04-13 03:38:45 -0400
commit4fe230eb1f73e9e3398e82138812b25ddc165968 (patch)
treea6cbe63285315db0dcdfbd3c54f6b6dd89b29ea2 /configure
parent2359b38a6bccb9e539cdbbeae8222a92944e78f7 (diff)
downloadfork-ledger-4fe230eb1f73e9e3398e82138812b25ddc165968.tar.gz
fork-ledger-4fe230eb1f73e9e3398e82138812b25ddc165968.tar.bz2
fork-ledger-4fe230eb1f73e9e3398e82138812b25ddc165968.zip
Corrected configure.in.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure422
1 files changed, 88 insertions, 334 deletions
diff --git a/configure b/configure
index 4a7378a0..6f18abc7 100755
--- a/configure
+++ b/configure
@@ -880,12 +880,6 @@ DEBUG_FALSE
USE_PCH_TRUE
USE_PCH_FALSE
BOOST_SUFFIX
-USE_XML_TRUE
-USE_XML_FALSE
-HAVE_EXPAT_TRUE
-HAVE_EXPAT_FALSE
-HAVE_XMLPARSE_TRUE
-HAVE_XMLPARSE_FALSE
USE_OFX_TRUE
USE_OFX_FALSE
HAVE_LIBOFX_TRUE
@@ -1513,7 +1507,6 @@ Optional Features:
--disable-libtool-lock avoid locking (might break parallel builds)
--enable-debug Turn on debugging
--enable-pch Use GCC 4.x pre-compiled headers
- --enable-xml Turn on support for XML parsing
--enable-ofx Turn on support for OFX/OCF parsing
--enable-python Build the amounts library as a Python module
@@ -4855,7 +4848,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4858 "configure"' > conftest.$ac_ext
+ echo '#line 4851 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7114,11 +7107,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7117: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7110: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7121: \$? = $ac_status" >&5
+ echo "$as_me:7114: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7382,11 +7375,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7385: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7378: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7389: \$? = $ac_status" >&5
+ echo "$as_me:7382: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7486,11 +7479,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7489: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7482: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7493: \$? = $ac_status" >&5
+ echo "$as_me:7486: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -9794,7 +9787,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9797 "configure"
+#line 9790 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -9894,7 +9887,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9897 "configure"
+#line 9890 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12230,11 +12223,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12233: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12226: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12237: \$? = $ac_status" >&5
+ echo "$as_me:12230: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12334,11 +12327,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12337: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12330: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12341: \$? = $ac_status" >&5
+ echo "$as_me:12334: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -13904,11 +13897,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13907: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13900: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13911: \$? = $ac_status" >&5
+ echo "$as_me:13904: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14008,11 +14001,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14011: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14004: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14015: \$? = $ac_status" >&5
+ echo "$as_me:14008: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16206,11 +16199,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16209: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16202: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16213: \$? = $ac_status" >&5
+ echo "$as_me:16206: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16474,11 +16467,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16477: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16470: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16481: \$? = $ac_status" >&5
+ echo "$as_me:16474: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16578,11 +16571,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16581: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16574: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:16585: \$? = $ac_status" >&5
+ echo "$as_me:16578: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -19851,246 +19844,70 @@ See \`config.log' for more details." >&2;}
{ (exit 1); exit 1; }; }
fi
-# check for expat or xmlparse
-# Check whether --enable-xml was given.
-if test "${enable_xml+set}" = set; then
- enableval=$enable_xml; case "${enableval}" in
- yes) xml=true ;;
- no) xml=false ;;
- *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-xml" >&5
-echo "$as_me: error: bad value ${enableval} for --enable-xml" >&2;}
- { (exit 1); exit 1; }; } ;;
- esac
-else
- xml=true
-fi
-
-
- if test x$xml = xtrue; then
- USE_XML_TRUE=
- USE_XML_FALSE='#'
-else
- USE_XML_TRUE='#'
- USE_XML_FALSE=
-fi
-
-
-if test x$xml = xtrue ; then
- { echo "$as_me:$LINENO: checking if libexpat is available" >&5
-echo $ECHO_N "checking if libexpat is available... $ECHO_C" >&6; }
-if test "${libexpat_avail+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- libexpat_save_libs=$LIBS
- LIBS="-lexpat $LIBS"
- ac_ext=cpp
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <stdio.h>
- extern "C" {
- #include <expat.h> // expat XML parser
- }
-int
-main ()
-{
-XML_Parser parser = XML_ParserCreate(NULL);
- return parser != NULL;
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_cxx_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest$ac_exeext &&
- $as_test_x conftest$ac_exeext; then
- libexpat_avail=true
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- libexpat_avail=false
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext conftest.$ac_ext
- ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-
- LIBS=$libexpat_save_libs
-fi
-{ echo "$as_me:$LINENO: result: $libexpat_avail" >&5
-echo "${ECHO_T}$libexpat_avail" >&6; }
-
- if test x$libexpat_avail = xtrue ; then
- if true; then
- HAVE_EXPAT_TRUE=
- HAVE_EXPAT_FALSE='#'
-else
- HAVE_EXPAT_TRUE='#'
- HAVE_EXPAT_FALSE=
-fi
-
- LIBS="-lexpat $LIBS"
- else
- if false; then
- HAVE_EXPAT_TRUE=
- HAVE_EXPAT_FALSE='#'
-else
- HAVE_EXPAT_TRUE='#'
- HAVE_EXPAT_FALSE=
-fi
-
- fi
-else
- if false; then
- HAVE_EXPAT_TRUE=
- HAVE_EXPAT_FALSE='#'
-else
- HAVE_EXPAT_TRUE='#'
- HAVE_EXPAT_FALSE=
-fi
-
-fi
-
-if test x$xml = xtrue ; then
- if test x$libexpat_avail = xfalse ; then
- { echo "$as_me:$LINENO: checking if libxmlparse is available" >&5
-echo $ECHO_N "checking if libxmlparse is available... $ECHO_C" >&6; }
-if test "${libxmlparse_avail+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- libxmlparse_save_libs=$LIBS
- LIBS="-lxmlparse -lxmltok $LIBS"
- ac_ext=cpp
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <stdio.h>
- extern "C" {
- #include <xmlparse.h> // expat XML parser
- }
-int
-main ()
-{
-XML_Parser parser = XML_ParserCreate(NULL);
- return parser != NULL;
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_cxx_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest$ac_exeext &&
- $as_test_x conftest$ac_exeext; then
- libxmlparse_avail=true
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- libxmlparse_avail=false
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext conftest.$ac_ext
- ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-
- LIBS=$libxmlparse_save_libs
-fi
-{ echo "$as_me:$LINENO: result: $libxmlparse_avail" >&5
-echo "${ECHO_T}$libxmlparse_avail" >&6; }
-
- if test x$libxmlparse_avail = xtrue ; then
- if true; then
- HAVE_XMLPARSE_TRUE=
- HAVE_XMLPARSE_FALSE='#'
-else
- HAVE_XMLPARSE_TRUE='#'
- HAVE_XMLPARSE_FALSE=
-fi
-
- LIBS="-lxmlparse -lxmltok $LIBS"
- else
- if false; then
- HAVE_XMLPARSE_TRUE=
- HAVE_XMLPARSE_FALSE='#'
-else
- HAVE_XMLPARSE_TRUE='#'
- HAVE_XMLPARSE_FALSE=
-fi
-
- fi
- else
- if false; then
- HAVE_XMLPARSE_TRUE=
- HAVE_XMLPARSE_FALSE='#'
-else
- HAVE_XMLPARSE_TRUE='#'
- HAVE_XMLPARSE_FALSE=
-fi
-
- fi
-else
- if false; then
- HAVE_XMLPARSE_TRUE=
- HAVE_XMLPARSE_FALSE='#'
-else
- HAVE_XMLPARSE_TRUE='#'
- HAVE_XMLPARSE_FALSE=
-fi
-
-fi
+## check for expat or xmlparse
+#AC_ARG_ENABLE(xml,
+# [ --enable-xml Turn on support for XML parsing],
+# [case "${enableval}" in
+# yes) xml=true ;;
+# no) xml=false ;;
+# *) AC_MSG_ERROR(bad value ${enableval} for --enable-xml) ;;
+# esac],[xml=true])
+#
+#AM_CONDITIONAL(USE_XML, test x$xml = xtrue)
+#
+#if [test x$xml = xtrue ]; then
+# AC_CACHE_CHECK(
+# [if libexpat is available],
+# [libexpat_avail],
+# [libexpat_save_libs=$LIBS
+# LIBS="-lexpat $LIBS"
+# AC_LANG_PUSH(C++)
+# AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <stdio.h>
+# extern "C" {
+# #include <expat.h> // expat XML parser
+# }]], [[XML_Parser parser = XML_ParserCreate(NULL);
+# return parser != NULL;]])],[libexpat_avail=true],[libexpat_avail=false])
+# AC_LANG_POP
+# LIBS=$libexpat_save_libs])
+#
+# if [test x$libexpat_avail = xtrue ]; then
+# AM_CONDITIONAL(HAVE_EXPAT, true)
+# LIBS="-lexpat $LIBS"
+# else
+# AM_CONDITIONAL(HAVE_EXPAT, false)
+# fi
+#else
+# AM_CONDITIONAL(HAVE_EXPAT, false)
+#fi
+#
+#if [test x$xml = xtrue ]; then
+# if [test x$libexpat_avail = xfalse ]; then
+# AC_CACHE_CHECK(
+# [if libxmlparse is available],
+# [libxmlparse_avail],
+# [libxmlparse_save_libs=$LIBS
+# LIBS="-lxmlparse -lxmltok $LIBS"
+# AC_LANG_PUSH(C++)
+# AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <stdio.h>
+# extern "C" {
+# #include <xmlparse.h> // expat XML parser
+# }]], [[XML_Parser parser = XML_ParserCreate(NULL);
+# return parser != NULL;]])],[libxmlparse_avail=true],[libxmlparse_avail=false])
+# AC_LANG_POP
+# LIBS=$libxmlparse_save_libs])
+#
+# if [test x$libxmlparse_avail = xtrue ]; then
+# AM_CONDITIONAL(HAVE_XMLPARSE, true)
+# LIBS="-lxmlparse -lxmltok $LIBS"
+# else
+# AM_CONDITIONAL(HAVE_XMLPARSE, false)
+# fi
+# else
+# AM_CONDITIONAL(HAVE_XMLPARSE, false)
+# fi
+#else
+# AM_CONDITIONAL(HAVE_XMLPARSE, false)
+#fi
# check for libofx
# Check whether --enable-ofx was given.
@@ -21269,7 +21086,6 @@ fi
# Checks for library functions.
-#AC_FUNC_ERROR_AT_LINE
{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
if test "${ac_cv_header_stdc+set}" = set; then
@@ -21677,62 +21493,6 @@ echo "$as_me: error: conditional \"USE_PCH\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
-if test -z "${USE_XML_TRUE}" && test -z "${USE_XML_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"USE_XML\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"USE_XML\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${HAVE_EXPAT_TRUE}" && test -z "${HAVE_EXPAT_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"HAVE_EXPAT\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"HAVE_EXPAT\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${HAVE_EXPAT_TRUE}" && test -z "${HAVE_EXPAT_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"HAVE_EXPAT\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"HAVE_EXPAT\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${HAVE_EXPAT_TRUE}" && test -z "${HAVE_EXPAT_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"HAVE_EXPAT\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"HAVE_EXPAT\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${HAVE_XMLPARSE_TRUE}" && test -z "${HAVE_XMLPARSE_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"HAVE_XMLPARSE\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"HAVE_XMLPARSE\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${HAVE_XMLPARSE_TRUE}" && test -z "${HAVE_XMLPARSE_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"HAVE_XMLPARSE\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"HAVE_XMLPARSE\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${HAVE_XMLPARSE_TRUE}" && test -z "${HAVE_XMLPARSE_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"HAVE_XMLPARSE\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"HAVE_XMLPARSE\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${HAVE_XMLPARSE_TRUE}" && test -z "${HAVE_XMLPARSE_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"HAVE_XMLPARSE\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"HAVE_XMLPARSE\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
if test -z "${USE_OFX_TRUE}" && test -z "${USE_OFX_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"USE_OFX\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
@@ -22493,12 +22253,6 @@ DEBUG_FALSE!$DEBUG_FALSE$ac_delim
USE_PCH_TRUE!$USE_PCH_TRUE$ac_delim
USE_PCH_FALSE!$USE_PCH_FALSE$ac_delim
BOOST_SUFFIX!$BOOST_SUFFIX$ac_delim
-USE_XML_TRUE!$USE_XML_TRUE$ac_delim
-USE_XML_FALSE!$USE_XML_FALSE$ac_delim
-HAVE_EXPAT_TRUE!$HAVE_EXPAT_TRUE$ac_delim
-HAVE_EXPAT_FALSE!$HAVE_EXPAT_FALSE$ac_delim
-HAVE_XMLPARSE_TRUE!$HAVE_XMLPARSE_TRUE$ac_delim
-HAVE_XMLPARSE_FALSE!$HAVE_XMLPARSE_FALSE$ac_delim
USE_OFX_TRUE!$USE_OFX_TRUE$ac_delim
USE_OFX_FALSE!$USE_OFX_FALSE$ac_delim
HAVE_LIBOFX_TRUE!$HAVE_LIBOFX_TRUE$ac_delim
@@ -22522,7 +22276,7 @@ LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 40; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 34; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5